/* vim: set ai et ts=4 sw=4: */

#ifndef __mixer_h__
#define __mixer_h__

typedef struct _Mixer {
    int dev; // mixer device file descriptor
    int ref; // reference counter
    int vol_min;
    int vol_max;
    int vol_step;
    int vol_saved;
    gboolean mute;
} Mixer;

Mixer* mixer_new(void);
void mixer_free(Mixer* mixer);
void mixer_set_volume(Mixer* mixer, int volume);
void mixer_volume_up(Mixer* mixer);
void mixer_volume_down(Mixer* mixer);
int mixer_get_volume(Mixer* mixer);
void mixer_set_mute(Mixer* mixer, gboolean mute);

#endif /*mixer.h*/
