/* vim: set ai et ts=4 sw=4: */

#ifndef __sidebar_item_h__
#define __sidebar_item_h__

#define SIDEBAR_ITEM(obj)           GTK_CHECK_CAST(obj, sidebar_item_get_type(), SidebarItem)
#define SIDEBAR_ITEM_CLASS(klass)   GTK_CHECK_CLASS_CAST(klass, sidebar_item_get_type(), SidebarItemClass)
#define IS_SIDEBAR_ITEM(obj)        GTK_CHECK_TYPE(obj, sidebar_item_get_type())

typedef struct _SidebarItem {
    GtkRadioButton parent;
    GtkWidget* box;
    GtkWidget* icon_img;
    GtkWidget* title_lbl;

    gchar* title;
    gchar* icon;
    gchar* filename;
} SidebarItem;

typedef struct _SidebarItemClass {
    GtkRadioButtonClass parent_class;
} SidebarItemClass;

GtkType sidebar_item_get_type(void);

GtkWidget* sidebar_item_new(gchar* title, gchar* icon, gchar* filename);

void sidebar_item_refresh(SidebarItem* item);
gboolean sidebar_item_show_dialog(SidebarItem* item);

#endif /*sidebar-item.h*/
