/* vim: set ai et ts=4 sw=4: */

#ifndef __sidebar_h__
#define __sidebar_h__

#include "sidebar-item.h"

#define SIDEBAR(obj)            GTK_CHECK_CAST(obj, sidebar_get_type(), Sidebar)
#define SIDEBAR_CLASS(klass)    GTK_CHECK_CLASS_CAST(klass, sidebar_get_type(), SidebarClass)
#define IS_SIDEBAR(obj)         GTK_CHECK_TYPE(obj, sidebar_get_type())

typedef struct _Sidebar {
    GtkVButtonBox parent;

    GList* items;
    GSList* items_rbg; // radio button group

    gchar* filename;
} Sidebar;

typedef struct _SidebarClass {
    GtkVButtonBoxClass parent_class;
} SidebarClass;

GtkType sidebar_get_type(void);

GtkWidget* sidebar_new(void);

void sidebar_read(Sidebar* sidebar);
void sidebar_write(Sidebar* sidebar);

void sidebar_add_item(Sidebar* sidebar, SidebarItem* item);
void sidebar_remove_item(Sidebar* sidebar, SidebarItem* item);

SidebarItem* sidebar_get_active_item(Sidebar* sidebar);
void sidebar_refresh(Sidebar* sidebar);
void sidebar_show_dialog(Sidebar* sidebar);

#endif /*sidebar.h*/
