/* vim: set ai et ts=4 sw=4: */

#ifndef __tag_h__
#define __tag_h__

typedef enum _TagType {
	TAG_TYPE_ID3V1,
	TAG_TYPE_OGG,
	TAG_TYPE_UNKNOWN,
} TagType;

typedef struct _Tag {
    gchar* filename;

    // tag properties
	gchar* title;
	gchar* artist;
	gchar* album;
	gint track;
	gint year;
	gchar* genre;
	gchar* comment;

    // sample properties
    gint channels;
    gint rate;
    gint bitrate;
    gint frames;
    gint seconds;

	TagType type;
} Tag;

void tag_init(void);
Tag* tag_new(void);
Tag* tag_new_from_file(const gchar* filename);
void tag_free(Tag* tag);

gboolean tag_read(Tag* tag);
gboolean tag_write(Tag* tag);
gboolean tag_remove(Tag* tag);

TagType tag_get_type(const gchar* filename);

#endif /*tag.h*/
