/* vim: set ai et ts=4 sw=4: */

#ifndef __uiinfo_h__
#define __uiinfo_h__

#define SEEK_OFFSET 5 /* seconds */

extern GnomeUIInfo file_menu_uiinfo[];

#define get_file_menu_widget(n)    (file_menu_uiinfo[(n)].widget)

enum {
    MENU_FILE_NEW_PLAYLIST,
    MENU_FILE_REMOVE_PLAYLIST,
    MENU_FILE_SEP1,
    MENU_FILE_ADD_FILE,
    MENU_FILE_ADD_DIR,
    MENU_FILE_SEP2,
    MENU_FILE_QUIT,
};

extern GnomeUIInfo edit_menu_uiinfo[];

#define get_edit_menu_widget(n)    (edit_menu_uiinfo[(n)].widget)

enum {
    MENU_EDIT_CUT,
    MENU_EDIT_COPY,
    MENU_EDIT_PASTE,
    MENU_EDIT_CLEAR,
    MENU_EDIT_SEP1,
	MENU_EDIT_SELECT_ALL,
	MENU_EDIT_SELECT_NONE,
	MENU_EDIT_INVERT_SELECTION,
    MENU_EDIT_SEP2,
    MENU_EDIT_PROPS,
    MENU_EDIT_SEP3,
    MENU_EDIT_PREFS,
    MENU_EDIT_EFFECT,
};

extern GnomeUIInfo play_menu_uiinfo[];

#define get_play_menu_widget(n)    (play_menu_uiinfo[(n)].widget)

enum {
    MENU_PLAY_PREV,
    MENU_PLAY_START,
    MENU_PLAY_STOP,
    MENU_PLAY_PAUSE,
    MENU_PLAY_NEXT,
    MENU_PLAY_5NEXT,
    MENU_PLAY_5PREV,
    MENU_PLAY_SEP1,
    MENU_PLAY_SHUFFLE,
    MENU_PLAY_LOOP,
    MENU_PLAY_SEP2,
    MENU_PLAY_VOL_DOWN,
    MENU_PLAY_VOL_UP,
    MENU_PLAY_MUTE,
    MENU_PLAY_EFFECT,
};

extern GnomeUIInfo view_menu_uiinfo[];

#define get_view_menu_widget(n)    (view_menu_uiinfo[(n)].widget)

enum {
    MENU_VIEW_TOOLBAR,
    MENU_VIEW_STATUSBAR,
    MENU_VIEW_SEP1,
    MENU_VIEW_SIDEBAR,
    MENU_VIEW_PLAY_INFO,
    MENU_VIEW_PLAY_POS,
    MENU_VIEW_SEP2,
    MENU_VIEW_REFRESH_PLAYLIST,
};

extern GnomeUIInfo help_menu_uiinfo[];

#define get_help_menu_widget(n)    (help_menu_uiinfo[(n)].widget)

enum {
    MENU_HELP_HELP,
    MENU_HELP_ABOUT,
};

extern GnomeUIInfo menubar_uiinfo[];

enum {
    MENU_FILE,
    MENU_EDIT,
    MENU_PLAY,
    MENU_VIEW,
    MENU_HELP,
};

#define get_menubar_widget(n)    (menubar_uiinfo[(n)].widget)

/*-----------------------------------------------------------------*/

// main toolbar

extern GnomeUIInfo toolbar_uiinfo[];

enum {
    TOOLBAR_PREV,
    TOOLBAR_START,
    TOOLBAR_STOP,
    TOOLBAR_PAUSE,
    TOOLBAR_NEXT,
    TOOLBAR_SHUFFLE,
    TOOLBAR_LOOP,
};

#define get_toolbar_widget(n)    (toolbar_uiinfo[(n)].widget)

/*-----------------------------------------------------------------*/

// sidebar popup

extern GnomeUIInfo sidebar_popup_uiinfo[];

enum {
    SIDEBAR_POPUP_PROPS,
    SIDEBAR_POPUP_SEP1,
    SIDEBAR_POPUP_NEW_PLAYLIST,
    SIDEBAR_POPUP_REMOVE_PLAYLIST,
    SIDEBAR_POPUP_ADD_FILE,
    SIDEBAR_POPUP_ADD_DIR,
};

#define get_sidebar_popup_widget(n)    (sidebar_popup_uiinfo[(n)].widget)

/*-----------------------------------------------------------------*/

// playlist popup

extern GnomeUIInfo playlist_popup_uiinfo[];

enum {
    PLAYLIST_POPUP_START,
    PLAYLIST_POPUP_STOP,
    PLAYLIST_POPUP_PAUSE,
    PLAYLIST_POPUP_SEP1,
    PLAYLIST_POPUP_CUT,
    PLAYLIST_POPUP_COPY,
    PLAYLIST_POPUP_PASTE,
    PLAYLIST_POPUP_CLEAR,
    PLAYLIST_POPUP_PROPS,
};

#define get_playlist_popup_widget(n)    (playlist_popup_uiinfo[(n)].widget)

#endif /*uiinfo.h*/
